Bug 56547 - DigiPhotoCam: Jenaoptik JD 2300Z3 (USB) can not read from the compact-flash
DigiPhotoCam: Jenaoptik JD 2300Z3 (USB) can not read from the compact-flash
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-20 15:13 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bulk transport entry in unusual_devs.h (628 bytes, patch)
2002-04-01 18:44 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Need Real Name 2001-11-20 15:13:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I can not get the photos from the digiphotocam

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.connect the digicam
2.run xsane
3.xsane can not find the device at the USB-Port
	

Additional info:

Hardware:

NoteBook: 	MaxData NB 2000-Lite 650 T Pro   ( www.maxdata.de )

DigiPhotoCam:
Jenoptik JD 2300 Z3    ( www.jenaoptik.de )
		Connect via USB


Software:
RedHat Linux 7.2 (Kernel 2.4.7-10)
		
		xsane-0.77-4
		gimp-1.2.1-7
			


/var/log/messages

Nov 20 20:19:18 dsbook kernel: hub.c: USB new device connect on bus1/2,
assigned device number 2
Nov 20 20:19:21 dsbook kernel: usb.c: USB device 2 (vend/prod 0x451/0x81c3)
is not claimed by any active driver.
Nov 20 20:19:21 dsbook /etc/hotplug/usb.agent: ... no drivers for USB
product 451/81c3/100
Nov 20 20:20:41 dsbook kernel: usb.c: USB disconnect on device 2

.....

Nov 20 20:33:05 dsbook kernel: hub.c: USB new device connect on bus1/2,
assigned device number 4
Nov 20 20:33:08 dsbook kernel: usb.c: USB device 4 (vend/prod 0x451/0x81c3)
is not claimed by any active driver.
Nov 20 20:33:08 dsbook /etc/hotplug/usb.agent: ... no drivers for USB
product 451/81c3/100
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 2, frame# 1163
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 3, frame# 1164
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 2, frame# 1166
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 3, frame# 1167
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 2, frame# 1169
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 3, frame# 1170
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 2, frame# 1172
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 3, frame# 1173
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 2, frame# 1175
Nov 20 20:33:31 dsbook kernel: usb-uhci.c: interrupt, status 3, frame# 1176











/proc/bus/usb/drives

         usbdevfs
         hub


/proc/bus/usb/devices

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=1060
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  4 Spd=12  MxCh= 0
D:  Ver= 1.00 Cls=00(>ifc ) Sub=01 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0451 ProdID=81c3 Rev= 1.00
C:* #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=100mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=00(>ifc ) Sub=00 Prot=00 Driver=(none)
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=  0ms
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=  0ms




/proc/interrupts

           CPU0
  0:     257692          XT-PIC  timer
  1:       4053          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:      36415          XT-PIC  ymfpci
  8:          3          XT-PIC  rtc
  9:         22          XT-PIC  PCnet/FAST III 79C973
 11:         60          XT-PIC  usb-uhci, Ricoh Co Ltd RL5c475
 12:      50590          XT-PIC  PS/2 Mouse
 14:      25211          XT-PIC  ide0
 15:       4711          XT-PIC  ide1
NMI:          0
ERR:          0


/proc/modules

nls_iso8859-1           2816   1 (autoclean)
ide-cd                 26912   1 (autoclean)
cdrom                  28416   0 (autoclean) [ide-cd]
serial_cs               4480   0 (unused)
ds                      6944   1 [serial_cs]
yenta_socket            9248   1
pcmcia_core            41056   0 [serial_cs ds yenta_socket]
autofs                 10628   0 (autoclean) (unused)
appletalk              20300   0 (autoclean)
ipx                    16148   0 (autoclean)
ipchains               36360   0
ext3                   63200   4 (autoclean)
jbd                    40068   4 (autoclean) [ext3]
usb-uhci               21412   0 (unused)
usbcore                50912   1 [usb-uhci]





/proc/devices


Character devices:
  1 mem
  2 pty
  3 ttyp
  4 ttyS
  5 cua
  7 vcs
 10 misc
 14 sound
 36 netlink
108 ppp
128 ptm
129 ptm
130 ptm
131 ptm
132 ptm
133 ptm
134 ptm
135 ptm
136 pts
137 pts
138 pts
139 pts
140 pts
141 pts
142 pts
143 pts
162 raw
180 usb
254 pcmcia

Block devices:
  1 ramdisk
  2 fd
  3 ide0
 22 ide1




/proc/pci



PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 3).
      Master Capable.  Latency=64.
      Prefetchable 32 bit memory at 0xf8000000 [0xf87fffff].
  Bus  0, device   1, function  0:
    PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 3).
      Master Capable.  Latency=128.  Min Gnt=140.
  Bus  0, device   7, function  0:
    Bridge: Intel Corporation 82371AB PIIX4 ISA (rev 2).
  Bus  0, device   7, function  1:
    IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 1).
      Master Capable.  Latency=64.
      I/O at 0x10c0 [0x10cf].
  Bus  0, device   7, function  2:
    USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 1).
      IRQ 11.
      Master Capable.  Latency=64.
      I/O at 0x1060 [0x107f].
  Bus  0, device   7, function  3:
    Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 3).
      IRQ 9.
  Bus  0, device   9, function  0:
    Multimedia audio controller: Yamaha Corporation YMF-744B [DS-1S Audio
Controller] (rev 2).
      IRQ 5.
      Master Capable.  Latency=64.  Min Gnt=5.Max Lat=25.
      Non-prefetchable 32 bit memory at 0xfc000000 [0xfc007fff].
      I/O at 0x1080 [0x10bf].
      I/O at 0x1800 [0x1803].
  Bus  0, device  11, function  0:
    Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
(rev 67).
      IRQ 9.
      Master Capable.  Latency=198.  Min Gnt=24.Max Lat=24.
      I/O at 0x10e0 [0x10ff].
      Non-prefetchable 32 bit memory at 0xfc008000 [0xfc00801f].
  Bus  0, device  12, function  0:
    CardBus bridge: Ricoh Co Ltd RL5c475 (rev 128).
      IRQ 11.
      Master Capable.  Latency=168.  Min Gnt=128.Max Lat=5.
      Non-prefetchable 32 bit memory at 0x10000000 [0x10000fff].
  Bus  0, device  13, function  0:
    Communication controller: PCI device 11c1:0420 (Lucent
Microelectronics) (rev 1).
      IRQ 11.
      Master Capable.  No bursts.  Min Gnt=252.Max Lat=14.
      Non-prefetchable 32 bit memory at 0xfc008400 [0xfc0084ff].
      I/O at 0x1808 [0x180f].
      I/O at 0x1400 [0x14ff].
  Bus  1, device   0, function  0:
    VGA compatible controller: ATI Technologies Inc 3D Rage LT Pro AGP-133
(rev 220).
      Master Capable.  Latency=66.  Min Gnt=8.
      Non-prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      I/O at 0x2000 [0x20ff].
      Non-prefetchable 32 bit memory at 0xfc100000 [0xfc100fff].


/proc/ioports


0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
02f8-02ff : serial(auto)
0330-0333 : MPU-401 UART
0376-0376 : ide1
03c0-03df : vga+
03e8-03ef : serial(set)
03f6-03f6 : ide0
03f8-03ff : serial(auto)
0cf8-0cff : PCI conf1
1000-103f : Intel Corporation 82371AB PIIX4 ACPI
1040-105f : Intel Corporation 82371AB PIIX4 ACPI
1060-107f : Intel Corporation 82371AB PIIX4 USB
  1060-107f : usb-uhci
1080-10bf : Yamaha Corporation YMF-744B [DS-1S Audio Controller]
10c0-10cf : Intel Corporation 82371AB PIIX4 IDE
  10c0-10c7 : ide0
  10c8-10cf : ide1
10e0-10ff : Advanced Micro Devices [AMD] 79c970 [PCnet LANCE]
  10e0-10ff : PCnet/FAST III 79C973
1400-14ff : PCI device 11c1:0420 (Lucent Microelectronics)
1800-1803 : Yamaha Corporation YMF-744B [DS-1S Audio Controller]
1808-180f : PCI device 11c1:0420 (Lucent Microelectronics)
1c00-1cff : PCI CardBus #02
2000-2fff : PCI Bus #01
  2000-20ff : ATI Technologies Inc 3D Rage LT Pro AGP-133
3000-30ff : PCI CardBus #02




output from  dmesg:


Linux version 2.4.7-10custom5 (root@dsbook) (gcc version 2.96 20000731 (Red
Hat Linux 7.1 2.96-98)) #9 Die Nov 13 18:29:21 CET 2001
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
 BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000ebc00 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000fff0000 (usable)
 BIOS-e820: 000000000fff0000 - 000000000ffffc00 (ACPI data)
 BIOS-e820: 000000000ffffc00 - 0000000010000000 (ACPI NVS)
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
Scanning bios EBDA for MXT signature
On node 0 totalpages: 65520
zone(0): 4096 pages.
zone(1): 61424 pages.
zone(2): 0 pages.
Kernel command line: auto BOOT_IMAGE=linux24c ro root=307
BOOT_FILE=/boot/vmlinuz-2.4.7-10custom5
Initializing CPU#0
Detected 501.145 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 999.42 BogoMIPS
Memory: 253428k/262080k available (1285k kernel code, 6340k reserved, 109k
data, 192k init, 0k highmem)
Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount-cache hash table entries: 4096 (order: 3, 32768 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
CPU:     After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU:             Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfd9be, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
PCI: Cannot allocate resource region 4 of device 00:07.1
Limiting direct PCI/PCI transfers.
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
mxt_scan_bios: enter
Starting kswapd v1.8
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT
SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
block: queued sectors max/low 168242kB/56080kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x10c0-0x10c7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x10c8-0x10cf, BIOS settings: hdc:DMA, hdd:pio
hda: FUJITSU MHK2120AT, ATA DISK drive
hdc: TOSHIBA CD-ROM XM-7002B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 23579136 sectors (12073 MB) w/512KiB Cache, CHS=1467/255/63, UDMA(33)
ide-floppy driver 0.97
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 hda10 hda11 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
pcnet32_probe_pci: found device 0x001022.0x002000
PCI: Found IRQ 9 for device 00:0b.0
    ioaddr=0x0010e0  resource_flags=0x000101
eth%d: PCnet/FAST III 79C973 at 0x10e0, 00 90 f5 04 17 7f
pcnet32: pcnet32_private lp=c16d8000 lp_dma_addr=0x16d8000 assigned IRQ 9.
pcnet32.c:v1.25kf 26.9.1999 tsbogend@alpha.franken.de
PPP generic driver version 2.4.1
ide-floppy driver 0.97
PCI: Found IRQ 5 for device 00:09.0
ymfpci: YMF744 at 0xfc000000 IRQ 5
ac97_codec: AC97 Audio codec, id: 0x414b:0x4d02 (Asahi Kasei AK4543)
YM3812 and OPL-3 driver Copyright (C) by Hannu Savolainen, Rob Hooft 1993-1996
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 192k freed
Adding Swap: 128480k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.259 $ time 18:45:17 Nov 13 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 11 for device 00:07.2
PCI: Sharing IRQ 11 with 00:0d.0
usb-uhci.c: USB UHCI at I/O 0x1060, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.251:USB Universal Host Controller Interface driver
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.8, 25 Aug 2001 on ide0(3,10), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.8, 25 Aug 2001 on ide0(3,9), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.8, 25 Aug 2001 on ide0(3,11), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.8, 25 Aug 2001 on ide0(3,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP,TRISTATE,EPP]
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
parport0: cpp_daisy: aa5500ff(38)
parport0: assign_addrs: aa5500ff(38)
ip_conntrack (2047 buckets, 16376 max)
NET4: Linux IPX 0.47 for NET4.0
IPX Portions Copyright (c) 1995 Caldera, Inc.
IPX Portions Copyright (c) 2000, 2001 Conectiva, Inc.
NET4: AppleTalk 0.18a for Linux NET4.0
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: Found IRQ 11 for device 00:0c.0
Yenta IRQ list 0498, PCI irq11
Socket status: 30000410
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x200-0x207 0x378-0x37f
0x388-0x38f 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
ttyS02 at port 0x03e8 (irq = 3) is a 16550A
ide-floppy driver 0.97
hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
probable hardware bug: clock timer configuration lost - probably a VIA686a
motherboard.
probable hardware bug: restoring chip configuration.
hub.c: USB new device connect on bus1/2, assigned device number 2
usb.c: USB device 2 (vend/prod 0x451/0x81c3) is not claimed by any active
driver.
usb.c: USB disconnect on device 2
floppy0: unexpected interrupt 
floppy0: sensei repl[0]=c0 repl[1]=0 
floppy0: sensei repl[0]=c1 repl[1]=0 
floppy0: sensei repl[0]=c2 repl[1]=0 
floppy0: sensei repl[0]=c3 repl[1]=0 
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
hub.c: USB new device connect on bus1/2, assigned device number 3
usb.c: USB device 3 (vend/prod 0x451/0x81c3) is not claimed by any active
driver.
usb.c: USB disconnect on device 3
hub.c: USB new device connect on bus1/2, assigned device number 4
usb.c: USB device 4 (vend/prod 0x451/0x81c3) is not claimed by any active
driver.
usb-uhci.c: interrupt, status 2, frame# 1163
usb-uhci.c: interrupt, status 3, frame# 1164
usb-uhci.c: interrupt, status 2, frame# 1166
usb-uhci.c: interrupt, status 3, frame# 1167
usb-uhci.c: interrupt, status 2, frame# 1169
usb-uhci.c: interrupt, status 3, frame# 1170
usb-uhci.c: interrupt, status 2, frame# 1172
usb-uhci.c: interrupt, status 3, frame# 1173
usb-uhci.c: interrupt, status 2, frame# 1175
usb-uhci.c: interrupt, status 3, frame# 1176
usb.c: USB disconnect on device 4
hub.c: USB new device connect on bus1/2, assigned device number 5
usb.c: USB device 5 (vend/prod 0x451/0x81c3) is not claimed by any active
driver.
Comment 1 Arjan van de Ven 2001-11-21 03:48:20 EST
Does it help if you type "modprobe usb-storage" before ?

Pete: I thought all compact flash cards were USB storage....
Comment 2 Pete Zaitcev 2001-11-21 13:48:03 EST
It is storage, but it's a vendor specific junk, so
unusual_devs.h must match vendor and device ID. We do
have a similar entry for 0x0451 vendor, also with bunk transfer
(observe above - Dennis' camera provides 2 bulk endpoints).

I'll have to make a patch that matches this cam and asks
for bulk protocol, then see if it works. In any case,
we'll be supporting something that is not supported by
the community yet.

This is a kind of bug to be bounced to linux-usb-devel@lists.sourceforge.net
Comment 3 Need Real Name 2001-11-22 14:11:59 EST
/var/log/messages

after: modprobe usb-storage


Nov 21 18:19:29 dsbook kernel: SCSI subsystem driver Revision: 1.00
Nov 21 18:19:29 dsbook kernel: Initializing USB Mass Storage driver...
Nov 21 18:19:29 dsbook kernel: usb.c: registered new driver usb-storage
Nov 21 18:19:29 dsbook kernel: USB Mass Storage support registered.

/var/log/messages

after i powered on my digiphotocam

Nov 21 18:21:02 dsbook kernel: hub.c: USB new device connect on bus1/2, assigned
device number 2
Nov 21 18:21:05 dsbook kernel: usb.c: USB device 2 (vend/prod 0x451/0x81c3) is
not claimed by any active driver.
Nov 21 18:21:05 dsbook /etc/hotplug/usb.agent: ... no drivers for USB product
451/81c3/100




what an i do more for you ?
Comment 4 Pete Zaitcev 2002-04-01 18:44:51 EST
Created attachment 51707 [details]
Bulk transport entry in unusual_devs.h
Comment 5 Pete Zaitcev 2002-04-01 18:48:52 EST
Does gphoto2 recognise the device?

http://www.gphoto.org/cameras.html says only JD11 and JD350 are
supported, but ghoto2 info pages were known to be out of date
before.
Comment 6 Alan Cox 2003-06-07 18:32:36 EDT
Closing. No reply in a year

Note You need to log in before you can comment on or make changes to this bug.